Bug 227832 (kdeconnect-import) - deskutils/kdeconnect: move port,a nd rename package
Summary: deskutils/kdeconnect: move port,a nd rename package
Status: Closed FIXED
Alias: kdeconnect-import
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL: https://reviews.freebsd.org/D15223
Keywords:
Depends on: 220896
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-28 21:18 UTC by Tobias C. Berner
Modified: 2018-09-30 19:25 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback-
tcberner: maintainer-feedback?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2018-04-28 21:18:56 UTC
Hi there

I would like to move deskutils/kdeconnect to deskutils/kdeconnect-kde-kde4.
See:
https://reviews.freebsd.org/D15223


mfg Tobias
Comment 1 Tobias C. Berner freebsd_committer 2018-05-17 19:30:27 UTC
Maintainer Timeout
Comment 2 Adriaan de Groot freebsd_committer 2018-06-01 21:34:00 UTC
Is there a reason to have so many "kde"s in the port's name? Wouldn't kdeconnect-kde4 and kdeconnect better match the "modern" way of naming KDE ports (-legacy suffixes, and unsuffixed for whatever is current).
Comment 3 commit-hook freebsd_committer 2018-09-30 18:59:49 UTC
A commit references this bug:

Author: tcberner
Date: Sun Sep 30 18:59:23 UTC 2018
New revision: 480966
URL: https://svnweb.freebsd.org/changeset/ports/480966

Log:
  Move deskutils/kdeconnect to deskutils/kdeconnect-kde-kde4

  * take maintainership for kde4

  PR:		227832
  Approved by:	yurkis@gmail.com (maintainer, timeout)

Changes:
  head/MOVED
  head/deskutils/Makefile
  head/deskutils/kdeconnect/
  head/deskutils/kdeconnect-kde-kde4/
  head/deskutils/kdeconnect-kde-kde4/Makefile
Comment 4 commit-hook freebsd_committer 2018-09-30 19:23:12 UTC
A commit references this bug:

Author: tcberner
Date: Sun Sep 30 19:22:46 UTC 2018
New revision: 480969
URL: https://svnweb.freebsd.org/changeset/ports/480969

Log:
  Add new port: deskutils/kdeconnect-kde -- the KF5 baesed version of deskutils/kdeconnect-kde-kde4.

  Thanks to mikael.urankar@gmail.com for the patch fixing segfaults on IPv4 mapped IPV6 addresses.

  PR:		220896
  PR:		227832

Changes:
  head/deskutils/Makefile
  head/deskutils/kdeconnect-kde/
  head/deskutils/kdeconnect-kde/Makefile
  head/deskutils/kdeconnect-kde/distinfo
  head/deskutils/kdeconnect-kde/files/
  head/deskutils/kdeconnect-kde/files/patch-core_backends_lan_lanlinkprovider.cpp
  head/deskutils/kdeconnect-kde/pkg-plist
  head/deskutils/kdeconnect-kde-kde4/Makefile
Comment 5 Tobias C. Berner freebsd_committer 2018-09-30 19:25:42 UTC
Finally committed.... Sorry for the timeout :)